<div class="main-container">
    <div class="pd-ltr-20 xs-pd-20-10">
        <div class="min-height-200px">
            <div class="page-header">
                <div class="row">
                    <div class="col-md-12 col-sm-12">
                        <div class="title">
                            <h4>Settings</h4>
                        </div>
                        <nav aria-label="breadcrumb" role="navigation">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="/">Home</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Settings</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <div class="card-box height-100-p overflow-hidden">
                        <div class="profile-tab height-100-p">
                            <div id="tabs" class="tab height-100-p">
                                <ul class="nav nav-tabs customtab" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" data-toggle="tab" href="#timeline" role="tab">Timeline</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" data-toggle="tab" href="#tasks" role="tab">Tasks</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" data-toggle="tab" href="#setting" role="tab">Settings</a>
                                    </li>
                                </ul>
                                <div class="tab-content">
                                    <!-- Timeline Tab start -->
                                    <div class="tab-pane fade show active" id="timeline" role="tabpanel">
                                        <div class="pd-20">
                                            <div class="profile-timeline">
                                                <div class="timeline-month">
                                                    <h5>August, 2020</h5>
                                                </div>
                                                <div class="profile-timeline-list">
                                                    <ul>
                                                        <li>
                                                            <div class="date">12 Aug</div>
                                                            <div class="task-name"><i class="ion-android-alarm-clock"></i> Task Added</div>
                                                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                                                            <div class="task-time">09:30 am</div>
                                                        </li>
                                                        <li>
                                                            <div class="date">10 Aug</div>
                                                            <div class="task-name"><i class="ion-ios-chatboxes"></i> Task Added</div>
                                                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                                                            <div class="task-time">09:30 am</div>
                                                        </li>
                                                        <li>
                                                            <div class="date">10 Aug</div>
                                                            <div class="task-name"><i class="ion-ios-clock"></i> Event Added</div>
                                                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                                                            <div class="task-time">09:30 am</div>
                                                        </li>
                                                        <li>
                                                            <div class="date">10 Aug</div>
                                                            <div class="task-name"><i class="ion-ios-clock"></i> Event Added</div>
                                                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                                                            <div class="task-time">09:30 am</div>
                                                        </li>
                                                    </ul>
                                                </div>
                                                <div class="timeline-month">
                                                    <h5>July, 2020</h5>
                                                </div>
                                                <div class="profile-timeline-list">
                                                    <ul>
                                                        <li>
                                                            <div class="date">12 July</div>
                                                            <div class="task-name"><i class="ion-android-alarm-clock"></i> Task Added</div>
                                                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                                                            <div class="task-time">09:30 am</div>
                                                        </li>
                                                        <li>
                                                            <div class="date">10 July</div>
                                                            <div class="task-name"><i class="ion-ios-chatboxes"></i> Task Added</div>
                                                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                                                            <div class="task-time">09:30 am</div>
                                                        </li>
                                                    </ul>
                                                </div>
                                                <div class="timeline-month">
                                                    <h5>June, 2020</h5>
                                                </div>
                                                <div class="profile-timeline-list">
                                                    <ul>
                                                        <li>
                                                            <div class="date">12 June</div>
                                                            <div class="task-name"><i class="ion-android-alarm-clock"></i> Task Added</div>
                                                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                                                            <div class="task-time">09:30 am</div>
                                                        </li>
                                                        <li>
                                                            <div class="date">10 June</div>
                                                            <div class="task-name"><i class="ion-ios-chatboxes"></i> Task Added</div>
                                                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                                                            <div class="task-time">09:30 am</div>
                                                        </li>
                                                        <li>
                                                            <div class="date">10 June</div>
                                                            <div class="task-name"><i class="ion-ios-clock"></i> Event Added</div>
                                                            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                                                            <div class="task-time">09:30 am</div>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- Timeline Tab End -->
                                    <!-- Tasks Tab start -->
                                    <div class="tab-pane fade" id="tasks" role="tabpanel">
                                        <div class="pd-20 profile-task-wrap">
                                            <div class="container pd-0">
                                                <!-- Open Task start -->
                                                <div class="task-title row align-items-center">
                                                    <div class="col-md-8 col-sm-12">
                                                        <h5> Task Lists</h5>
                                                    </div><!-- 
                                                    <div class="col-md-4 col-sm-12 text-right">
                                                        <a href="task-add" data-toggle="modal" data-target="#task-add" class="bg-light-blue btn text-blue weight-500"><i class="ion-plus-round"></i> Add</a>
                                                    </div> -->
                                                </div>
                                                <div class="profile-task-list pb-30">
                                                    <ul>
                                                        <li>
                                                            <div class="task-type">Task 1</div>
                                                            <a href="task-add" data-toggle="modal" data-target="#task-add" class="bg-light-blue btn text-blue weight-500">Task Name </a>
                                                            <div class="task-assign">Cron Job - * * * * * 
                                                            </div>
                                                        </li>
                                                        <li>
                                                            <div class="task-type">Task 2</div>
                                                            <a href="task-add" data-toggle="modal" data-target="#task-add" class="bg-light-blue btn text-blue weight-500">Task Name</a>
                                                            <div class="task-assign">Cron Job - * * * * * 
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </div>
                                                <!-- Open Task End -->
                                                <!-- Close Task start -->
                                                <!-- Close Task start -->
                                                <!-- add task popup start -->
                                                <div class="modal fade customscroll" id="task-add" tabindex="-1" role="dialog">
                                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLongTitle">Edit Task</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Close Modal">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body pd-0">
                                                                <div class="task-list-form">
                                                                    <ul>
                                                                        <li>
                                                                            <form>
                                                                                <div class="form-group row">
                                                                                    <label class="col-md-4">Task Name</label>
                                                                                    <div class="col-md-8">
                                                                                        <input type="text" class="form-control">
                                                                                    </div>
                                                                                </div>
                                                                                <div class="form-group row">
                                                                                    <label class="col-md-4">Cron Job</label>
                                                                                    <div class="col-md-8">
                                                                                        <input type="text" class="form-control">
                                                                                    </div>
                                                                                </div>
                                                                                <div class="form-group row">
                                                                                    <label class="col-md-4">Task Message</label>
                                                                                    <div class="col-md-8">
                                                                                        <textarea class="form-control"></textarea>
                                                                                    </div>
                                                                                </div><!-- 
                                                                                <div class="form-group row mb-0">
                                                                                    <label class="col-md-4">Due Date</label>
                                                                                    <div class="col-md-8">
                                                                                        <input type="text" class="form-control date-picker">
                                                                                    </div>
                                                                                </div> -->
                                                                            </form>
                                                                        </li>
                                                                    </ul>
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-primary">Add</button>
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- add task popup End -->
                                            </div>
                                        </div>
                                    </div>
                                    <!-- Tasks Tab End -->
                                    <!-- Setting Tab start -->
                                    <div class="tab-pane fade height-100-p" id="setting" role="tabpanel">
                                        <div class="profile-setting">
                                            <ul class="profile-edit-list row">
                                                <li class="weight-500 col-md-6">
                                                    <h4 class="text-blue h5 mb-20">Change Password</h4>
                                                    <form id="changePasswordPost" name="changePasswordPost" method="post">
                                                        <div class="form-group">
                                                            <label>Current Password</label>
                                                            <input class="form-control form-control-lg" type="password" name="currentPassword" placeholder="Current Password" id="currentPassword" required>
                                                        </div>
                                                        <div class="form-group">
                                                            <label>New Password</label>
                                                            <input class="form-control form-control-lg" type="password" name="newPassword" placeholder="New Password" id="newPassword" required>
                                                        </div>
                                                        <div class="form-group">
                                                            <label>Confirm Password</label>
                                                            <input class="form-control form-control-lg" type="password" name="confirmPassword" id="confirmPassword" placeholder="Confirm Password" required>
                                                        </div>
                                                        <div class="form-group mb-0">
                                                            <input type="submit" id="changePasswordPostBtn" class="btn btn-primary" value="Update Password">
                                                            <button id="changePasswordPostBtn_s" class="btn btn-primary" style="display: none;"><i class="fa fa-spinner fa-spin"></i></button>
                                                        </div>
                                                    </form>
                                                    <br>
                                                    <h4 class="text-blue h5 mb-20">User Settings</h4>
                                                    <hr>
                                                    <form id="userSettingsPost" name="userSettingsPost" method="post" enctype="multipart/form-data">
                                                        <div class="form-group">
                                                            <label>Username</label>
                                                            <input class="form-control form-control-lg" type="text" name="adminUsername" placeholder="Username" id="adminUsername" value="<%= userInfo &&userInfo.username %>" readonly>
                                                        </div>
                                                        <div class="form-group">
                                                            <label>Email</label>
                                                            <input class="form-control form-control-lg" type="email" name="email" placeholder="New Password" id="email" value="<%= userInfo &&userInfo.email %>" required>
                                                        </div>
                                                        <div class="form-group">
                                                            <label>Profile Picture</label>
                                                            <input class="form-control form-control-lg" type="file" name="profilePicture" id="profilePicture" accept="image/*" onchange="handleFiles(this.files)">
                                                        </div>
                                                        <div>
                                                            <img id="imgg0" width="25%" class="imgg" src="/uploads/<%= userInfo &&userInfo.profile_picture %>">
                                                        </div>
                                                        <div class="form-group mb-0">
                                                            <input type="submit" id="userSettingsPostBtn" class="btn btn-primary" value="Update Settings">
                                                            <button id="userSettingsPostBtn_s" class="btn btn-primary" style="display: none;"><i class="fa fa-spinner fa-spin"></i></button>
                                                        </div>
                                                    </form>
                                                </li>
                                                <li class="weight-500 col-md-6">
                                                    <form id="siteSettings" name="siteSettings" method="post">
                                                        <h4 class="text-blue h5 mb-20">SMTP and Storage Account Settings</h4>
                                                        <div class="form-group">
                                                            <label>SMTP Username</label>
                                                            <input class="form-control form-control-lg" type="text" placeholder="Username" name="username" id="username" autocomplete="off" value="<%= siteSettings&&siteSettings.username %>" required>
                                                        </div>
                                                        <div class="form-group">
                                                            <label>SMTP Password </label>
                                                            <input class="form-control form-control-lg" type="text" placeholder="Password" name="password" id="password" autocomplete="off" value="<%= siteSettings&&siteSettings.password %>" required>
                                                        </div>
                                                        <div class="form-group">
                                                            <label>Host </label>
                                                            <input class="form-control form-control-lg" type="text" placeholder="Host" name="host" id="host" autocomplete="off" value="<%= siteSettings&&siteSettings.host %>" required>
                                                        </div>
                                                        <div class="form-group">
                                                            <label>Port</label>
                                                            <input class="form-control form-control-lg" type="text" placeholder="Port" name="port" id="port" autocomplete="off" value="<%= siteSettings&&siteSettings.port %>" required>
                                                        </div>
                                                        <div class="form-group">
                                                            <label>Storage Account</label>
                                                            <input class="form-control form-control-lg" type="text" placeholder="Storage Account" name="storageAccount" id="storageAccount" autocomplete="off" value="<%= siteSettings&&siteSettings.storageaccountname %>" required>
                                                        </div>
                                                        <div class="form-group">
                                                            <label>Sas Token</label>
                                                            <input class="form-control form-control-lg" type="text" placeholder="SAS Token" name="sasToken" id="sasToken" autocomplete="off" value="<%= siteSettings&&siteSettings.sastoken %>" required>
                                                        </div>
                                                        <div class="form-group">
                                                            <label>Blob Container</label>
                                                            <input class="form-control form-control-lg" type="text" placeholder="Blob Container" id="blobContainer" name="blobContainer" autocomplete="off" value="<%= siteSettings&&siteSettings.blobcontainername %>" required>
                                                        </div>
                                                        <div class="form-group mb-0">
                                                            <input type="submit" id="siteSettingsBtn" class="btn btn-primary" value="Save & Update">
                                                            <button id="siteSettingsBtn_s" class="btn btn-primary" style="display: none;"><i class="fa fa-spinner fa-spin"></i></button>
                                                        </div>
                                                    </form>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                    <!-- Setting Tab End -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>